<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// require_once('./../modelo/odoo_cliente.php');
require_once('./../modelo/odoo_orden_venta.php');
// require_once('./../modelo/odoo_inventario.php');
// require_once('./../modelo/odoo_producto.php');
// require_once('./../modelo/direccion_facturacion.php');

$id_orden_venta = 17;
// $id = OdooOrdenVenta::confirmSaleOrder($id_orden_venta);
// print_r($id);

$id = OdooOrdenVenta::createInvoiceFromSaleOrder($id_orden_venta);
print_r($id);

// $id_factura = OdooOrdenVenta::createInvoiceFromSaleOrder($id_orden_venta);
// print_r($id_factura);
// $id_factura = OdooOrdenVenta::getAccountMoveFields();
// $facturas = OdooOrdenVenta::getInvoices();
// print_r($facturas);

// $resposne = OdooOrdenVenta::confirmInvoice($id_factura);
// print_r($resposne);
